=== debian/changelog ===
ros-geometric-shapes (0.4.3-2build1) xenial; urgency=medium

  * No-change rebuild for qhull transition.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2016 06:53:21 +0000

ros-geometric-shapes (0.4.3-2) unstable; urgency=medium

  * Add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 15:08:46 +0100

ros-geometric-shapes (0.4.3-1) unstable; urgency=medium

  * Initial release (Closes: #804934)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Fri, 25 Dec 2015 22:58:34 +0000
