=== debian/changelog ===
ros-geometric-shapes (0.5.1-2) unstable; urgency=medium

  * upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 07 Sep 2016 08:09:24 +0200

ros-geometric-shapes (0.5.1-1) experimental; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * New upstream version 0.5.1
  * Rebase patches
  * Soname bump due to ABI changes

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 02 Sep 2016 12:48:18 +0200

ros-geometric-shapes (0.4.4-1) unstable; urgency=medium

  * Imported Upstream version 0.4.4

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 23:04:03 +0200
