## ros-geometric-shapes 0.5.2

=== debian/changelog ===
ros-geometric-shapes (0.5.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 28 Oct 2016 08:30:05 +0200

ros-geometric-shapes (0.5.2-1) experimental; urgency=medium

  * New upstream version 0.5.2
  * Update copyright
  * Bump Soname

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 21 Oct 2016 23:53:11 +0200
