=== debian/control ===
--- 
+++ 
@@ -14,14 +14,14 @@
 Package: libgeometric-shapes-dev
 Section: libdevel
 Architecture: any
-Depends: libgeometric-shapes1d (= ${binary:Version}), ${misc:Depends}, libeigen3-dev, libshape-msgs-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libvisualization-msgs-dev, libboost-filesystem-dev, libassimp-dev, liboctomap-dev, ros-cmake-modules, libresource-retriever-dev, librosconsole-bridge-dev, libqhull-dev
+Depends: libgeometric-shapes2d (= ${binary:Version}), ${misc:Depends}, libeigen3-dev, libshape-msgs-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libvisualization-msgs-dev, libboost-filesystem-dev, libassimp-dev, liboctomap-dev, ros-cmake-modules, libresource-retriever-dev, librosconsole-bridge-dev, libqhull-dev
 Description: Robot OS geometric_shapes package - development files 
  This package is part of Robot OS (ROS), and contains generic
  definitions of geometric shapes and bodies.
  .
  This package contains the development files.
 
-Package: libgeometric-shapes1d
+Package: libgeometric-shapes2d
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
