=== debian/changelog ===
ros-geometric-shapes (0.5.3-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Update Vcs URLs to salsa.d.o

  [ Jose Luis Rivero ]
  * Added patch to solve problems with console-bridge 0.4 (Closes: #891516)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Feb 2018 20:27:35 +0100

ros-geometric-shapes (0.5.3-1) unstable; urgency=medium

  * Update watch file
  * Remove old catkin version
  * New upstream version 0.5.3
  * Update policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 23 Dec 2017 16:54:49 +0100
