=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), libboost-system-dev, libboost-filesystem-dev, libassimp-dev, liboctomap-dev, catkin (>> 0.6.16-2), ros-cmake-modules, libvisualization-msgs-dev, libshape-msgs-dev, libresource-retriever-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libeigen3-dev, libqhull-dev, librosconsole-bridge-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), libboost-system-dev, libboost-filesystem-dev, libassimp-dev, liboctomap-dev, catkin, ros-cmake-modules, libvisualization-msgs-dev, libshape-msgs-dev, libresource-retriever-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libeigen3-dev, libqhull-dev, librosconsole-bridge-dev
+Standards-Version: 4.1.2
 Section: libs
 Homepage: http://wiki.ros.org/geometric_shapes
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-geometric-shapes.git
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-geometric-shapes.git
+Vcs-Browser: https://salsa.debian.org/science-team/ros-geometric-shapes
+Vcs-Git: https://salsa.debian.org/science-team/ros-geometric-shapes.git
 
 Package: libgeometric-shapes-dev
 Section: libdevel
