## ros-geometric-shapes 0.6.0

=== debian/changelog ===
ros-geometric-shapes (0.6.0-2) unstable; urgency=medium

  * Upload to unstable. 

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 21 Jun 2018 22:00:55 +0200

ros-geometric-shapes (0.6.0-1) experimental; urgency=medium

  * Add R³
  * http -> https
  * New upstream version 0.6.0
  * Rebase patches
  * Bump Soname due to ABI change
  * Bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 16 Jun 2018 19:36:34 +0200
