=== debian/control ===
Source: ros-geometric-shapes
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 11), libboost-system-dev, libboost-filesystem-dev, libassimp-dev, liboctomap-dev, catkin, ros-cmake-modules, libvisualization-msgs-dev, libshape-msgs-dev, libresource-retriever-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libeigen3-dev, libqhull-dev, librosconsole-bridge-dev
Standards-Version: 4.1.4
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/geometric_shapes
Vcs-Browser: https://salsa.debian.org/science-team/ros-geometric-shapes
Vcs-Git: https://salsa.debian.org/science-team/ros-geometric-shapes.git

Package: libgeometric-shapes-dev
Section: libdevel
Architecture: any
Depends: libgeometric-shapes3d (= ${binary:Version}), ${misc:Depends}, libeigen3-dev, libshape-msgs-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libvisualization-msgs-dev, libboost-filesystem-dev, libassimp-dev, liboctomap-dev, ros-cmake-modules, libresource-retriever-dev, librosconsole-bridge-dev, libqhull-dev
Description: Robot OS geometric_shapes package - development files 
 This package is part of Robot OS (ROS), and contains generic
 definitions of geometric shapes and bodies.
 .
 This package contains the development files.

Package: libgeometric-shapes3d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS geometric_shapes package
 This package is part of Robot OS (ROS), and contains generic
 definitions of geometric shapes and bodies.
 .
 This package contains the library itself.
