## ros-geometric-shapes 0.6.1

=== debian/changelog ===
ros-geometric-shapes (0.6.1-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:56:32 +0100

ros-geometric-shapes (0.6.1-1build1) focal; urgency=medium

  * No-change upload for libassimp soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Jan 2020 07:29:44 +0100

ros-geometric-shapes (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 14 Dec 2018 13:39:53 +0100
