=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Build-Depends: debhelper (>= 11), libboost-system-dev, libboost-filesystem-dev, libassimp-dev, liboctomap-dev, catkin, ros-cmake-modules, libvisualization-msgs-dev, libshape-msgs-dev, libresource-retriever-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libeigen3-dev, libqhull-dev, librosconsole-bridge-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/geometric_shapes
