=== debian/changelog ===
ros-geometric-shapes (0.7.0-4) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 13:09:51 +0100

ros-geometric-shapes (0.7.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Jun 2020 23:18:50 +0200

ros-geometric-shapes (0.7.0-2) experimental; urgency=medium

  * Ignore test results

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 27 Jun 2020 10:15:30 +0200

ros-geometric-shapes (0.7.0-1) experimental; urgency=medium

  * add Salsa CI
  * simplify d/watch
  * New upstream version 0.7.0
  * update copyright
  * Remove Thomas from Uploaders, thanks for working on this
  * Add patch for qhull_r
  * Bump Soname due to ABI change
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 07 Jun 2020 22:19:28 +0200
