=== debian/changelog ===
ros-geometric-shapes (0.7.3-7) unstable; urgency=medium

  * Ignore test results on mipsel

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 21 Sep 2022 17:31:07 +0200

ros-geometric-shapes (0.7.3-6) unstable; urgency=medium

  * Ignore test results on s390x and ppc64
  * Bump policy version (no changes)
  * Move package description to source package

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 21 Sep 2022 12:01:36 +0200

ros-geometric-shapes (0.7.3-5) unstable; urgency=medium

  * Add patch to disable failing tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Oct 2021 13:38:09 +0200

ros-geometric-shapes (0.7.3-4) unstable; urgency=medium

  * Enable unit tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Oct 2021 09:41:42 +0200

ros-geometric-shapes (0.7.3-3) unstable; urgency=medium

  * Add missing build dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 25 Oct 2021 22:04:34 +0200

ros-geometric-shapes (0.7.3-2) unstable; urgency=medium

  * upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 16 Oct 2021 15:39:45 +0200

ros-geometric-shapes (0.7.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 0.7.3
  * Drop patch 0002-Port-to_qhull_r (merged upstream)
  * Bump SOVERSION to 5d after ABI break

 -- Timo Röhling <roehling@debian.org>  Sat, 25 Sep 2021 21:21:42 +0200

ros-geometric-shapes (0.7.0-6) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Fix Multiarch hinter issues

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:42:13 +0200

ros-geometric-shapes (0.7.0-5) experimental; urgency=medium

  * Team upload.
  * Restrict d/watch to ROS 1 versions
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 06 Sep 2021 15:55:02 +0200
