=== debian/control ===
Source: ros-geometric-shapes
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 13), libboost-filesystem-dev, libassimp-dev, liboctomap-dev, catkin (>= 0.8.10-1~), ros-cmake-modules, libvisualization-msgs-dev, libshape-msgs-dev, libresource-retriever-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libeigen3-dev, libqhull-dev, librosconsole-bridge-dev, libgtest-dev
Standards-Version: 4.6.1
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/geometric_shapes
Vcs-Browser: https://salsa.debian.org/science-team/ros-geometric-shapes
Vcs-Git: https://salsa.debian.org/science-team/ros-geometric-shapes.git
Description: Robot OS geometric_shapes package
 This package is part of Robot OS (ROS), and contains generic
 definitions of geometric shapes and bodies.

Package: libgeometric-shapes-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgeometric-shapes5d (= ${binary:Version}), ${misc:Depends}, libeigen3-dev, libshape-msgs-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libvisualization-msgs-dev, libboost-filesystem-dev, libassimp-dev, liboctomap-dev, ros-cmake-modules, libresource-retriever-dev, librosconsole-bridge-dev, libqhull-dev
Description: ${source:Synopsis} - development files
 ${source:Extended-Description}
 .
 This package contains the development files.

Package: libgeometric-shapes5d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the library itself.
