=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	make -C obj-$(DEB_HOST_GNU_TYPE) run_tests
ifeq (,$(filter $(DEB_BUILD_ARCH), mipsel s390x ppc64))
	catkin_test_results
endif
