=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-geometric-shapes-$1.tar.gz%" \
    https://github.com/ros-planning/geometric_shapes/tags \
    (?:.*?/)?v?([01]\.[\d.]*)\.tar\.gz
