=== debian/changelog ===
ros-geometric-shapes (0.7.5-1) unstable; urgency=medium

  * New upstream version 0.7.5
  * Update d/copyright
  * Rebase patch
  * Add patch for assimp and fcl for cross compilable
  * Bump policy version (no changes)
  * Add new libfcl-dev build dependency
  * Add patch for old C++ standard

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Jun 2023 22:25:02 +0200
