## ros-geometric-shapes 0.7.6

=== debian/changelog ===
ros-geometric-shapes (0.7.6-2) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Add myself to uploaders
  * Enable all hardening options

 -- Timo Röhling <roehling@debian.org>  Sun, 29 Sep 2024 21:07:49 +0200

ros-geometric-shapes (0.7.6-1) unstable; urgency=medium

  * New upstream version 0.7.6
  * Rediff patches
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 18 Jun 2024 16:02:37 +0200
