=== debian/control ===
Source: ros-geometric-shapes
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 catkin (>= 0.8.10-1~),
 debhelper-compat (= 13),
 dh-ros,
 libassimp-dev,
 libboost-filesystem-dev,
 libeigen-stl-containers-dev,
 libeigen3-dev,
 libfcl-dev,
 libgtest-dev,
 liboctomap-dev,
 libqhull-dev,
 librandom-numbers-dev,
 libresource-retriever-dev,
 librosconsole-bridge-dev,
 libshape-msgs-dev,
 libvisualization-msgs-dev,
 ros-cmake-modules,
Standards-Version: 4.7.0
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/geometric_shapes
Vcs-Browser: https://salsa.debian.org/science-team/ros-geometric-shapes
Vcs-Git: https://salsa.debian.org/science-team/ros-geometric-shapes.git
Description: Robot OS geometric_shapes package
 This package is part of Robot OS (ROS), and contains generic
 definitions of geometric shapes and bodies.

Package: libgeometric-shapes-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libassimp-dev,
 libboost-filesystem-dev,
 libeigen-stl-containers-dev,
 libeigen3-dev,
 libgeometric-shapes5d (= ${binary:Version}),
 liboctomap-dev,
 libqhull-dev,
 librandom-numbers-dev,
 libresource-retriever-dev,
 librosconsole-bridge-dev,
 libshape-msgs-dev,
 libvisualization-msgs-dev,
 ros-cmake-modules,
 ${misc:Depends},
Description: ${source:Synopsis} - development files
 ${source:Extended-Description}
 .
 This package contains the development files.

Package: libgeometric-shapes5d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the library itself.
