=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter $(DEB_BUILD_ARCH), mipsel s390x ppc64))
export ROS_IGNORE_TEST_RESULTS = 1
endif

%:
	dh $@ --buildsystem=ros
