=== debian/changelog ===
ros-geometric-shapes (0.7.7-1) unstable; urgency=medium

  * New upstream version 0.7.7
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Tue, 09 Sep 2025 21:57:00 +0200
