=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
  Timo Röhling <roehling@debian.org>,
 Build-Depends:
- catkin (>= 0.8.10-1~),
  debhelper-compat (= 13),
  dh-ros,
+ catkin (>= 0.8.10-1~),
  libassimp-dev,
  libboost-filesystem-dev,
  libeigen-stl-containers-dev,
@@ -23,7 +23,7 @@
  libshape-msgs-dev,
  libvisualization-msgs-dev,
  ros-cmake-modules,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/geometric_shapes
